﻿package resolumeCom.parameters
{
	import resolumeCom.parameters.Parameter;
	
	public class FloatParameter extends Parameter
	{
			
		private var defaultValue:Number;
		private var currentValue:Number;
		
		public function FloatParameter(name_:String, defaultValue_:Number) {
			this.name = name_;
			this.type = 10; //PARAM_TYPE_STANDARD
			this.defaultValue = defaultValue_;
			this.currentValue = defaultValue_;
		}
	
		public function getDefault() : Number {
			return this.defaultValue;
		}
	
		public function getValue() : Number {
			return this.currentValue;
		}
		
		public function setValue(value_:Number, forceChange:Boolean = false) {
			if (!forceChange && value_ == this.currentValue)
				return;
			this.currentValue = value_;
            this.parameterChanged();
		}
		
		override public function getXmlRep(): String
		{
			var xmlRep:String =  "<param type='" + getType() + "' name='" + getName() + "' value='" + getValue() + "'/>";
			return xmlRep;		
		}
		
	}
}