﻿package resolumeCom.parameters
{
	public class StringParameter extends Parameter
	{
		private var defaultValue:String;
		private var currentValue:String;
		
		public function StringParameter(name_:String, defaultValue_:String) {
			this.name = name_;
			this.type = 100; //PARAM_TYPE_STRING
			this.defaultValue = defaultValue_;
			this.currentValue = defaultValue_;
		}
	
		public function getDefault() : String {
			return this.defaultValue;
		}
	
		public function getValue() : String {
			return this.currentValue;
		}
		
		public function setValue(value_:String, forceChange:Boolean = false) {
			if (!forceChange && value_ == this.currentValue)
				return;
			this.currentValue = value_;
            this.parameterChanged();
		}
		
		override public function getXmlRep(): String
		{
			var xmlRep:String =  "<param type='" + getType() + "' name='" + getName() + "' value='" + getValue() + "'/>";
			return xmlRep;		
		}
	}
}